View Issue Details

IDProjectCategoryView StatusLast Update
0003722GNUnettestbed servicepublic2018-06-07 00:25
ReporterChristian GrothoffAssigned ToSree Harsha Totakura 
PriorityhighSeveritycrashReproducibilityalways
Status closedResolutionfixed 
Platformi7OSDebian GNU/LinuxOS Versionsqueeze
Product VersionSVN HEAD 
Target Version0.11.0pre66Fixed in Version0.11.0pre66 
Summary0003722: testbed segfault on CTRL-C
Descriptiongrothoff@pixel:~/svn/gnunet/src/fs$ valgrind .libs/lt-test_gnunet_service_fs_migration
==30659== Memcheck, a memory error detector
==30659== Copyright (C) 2002-2013, and GNU GPL'd, by Julian Seward et al.
==30659== Using Valgrind-3.10.0 and LibVEX; rerun with -h for copyright info
==30659== Command: .libs/lt-test_gnunet_service_fs_migration
==30659==
^CMar 23 15:20:31-106225 test-gnunet-service-fs-migration-30659 ERROR Controller crash detected. Shutting down.
==30659== Invalid read of size 8
==30659== at 0x4E4150B: GNUNET_TESTBED_get_next_op_id (testbed_api.c:2060)
==30659== by 0x4E4CD02: GNUNET_TESTBED_peer_stop (testbed_api_peers.c:664)
==30659== by 0x4019E8: stop_source_peer (test_gnunet_service_fs_migration.c:134)
==30659== by 0x52F2757: run_ready (scheduler.c:587)
==30659== by 0x52F3062: GNUNET_SCHEDULER_run (scheduler.c:867)
==30659== by 0x52EE1F9: GNUNET_PROGRAM_run2 (program.c:286)
==30659== by 0x52EE350: GNUNET_PROGRAM_run (program.c:325)
==30659== by 0x4E5351C: GNUNET_TESTBED_test_run (testbed_api_test.c:151)
==30659== by 0x401E03: main (test_gnunet_service_fs_migration.c:185)
==30659== Address 0x844d2e0 is 0 bytes inside a block of size 136 free'd
==30659== at 0x4C29E90: free (vg_replace_malloc.c:473)
==30659== by 0x52B85D0: GNUNET_xfree_ (common_allocation.c:239)
==30659== by 0x4E405CE: GNUNET_TESTBED_controller_disconnect (testbed_api.c:1595)
==30659== by 0x4E4F910: cleanup (testbed_api_testbed.c:466)
==30659== by 0x4E4FFDB: wait_op_completion (testbed_api_testbed.c:606)
==30659== by 0x4E50123: interrupt (testbed_api_testbed.c:637)
==30659== by 0x52F2757: run_ready (scheduler.c:587)
==30659== by 0x52F3062: GNUNET_SCHEDULER_run (scheduler.c:867)
==30659== by 0x52EE1F9: GNUNET_PROGRAM_run2 (program.c:286)
==30659== by 0x52EE350: GNUNET_PROGRAM_run (program.c:325)
==30659== by 0x4E5351C: GNUNET_TESTBED_test_run (testbed_api_test.c:151)
==30659== by 0x401E03: main (test_gnunet_service_fs_migration.c:185)
==30659==
==30659== Invalid read of size 4
==30659== at 0x4E41810: GNUNET_TESTBED_host_get_id_ (testbed_api_hosts.c:222)
==30659== by 0x4E41515: GNUNET_TESTBED_get_next_op_id (testbed_api.c:2060)
==30659== by 0x4E4CD02: GNUNET_TESTBED_peer_stop (testbed_api_peers.c:664)
==30659== by 0x4019E8: stop_source_peer (test_gnunet_service_fs_migration.c:134)
==30659== by 0x52F2757: run_ready (scheduler.c:587)
==30659== by 0x52F3062: GNUNET_SCHEDULER_run (scheduler.c:867)
==30659== by 0x52EE1F9: GNUNET_PROGRAM_run2 (program.c:286)
==30659== by 0x52EE350: GNUNET_PROGRAM_run (program.c:325)
==30659== by 0x4E5351C: GNUNET_TESTBED_test_run (testbed_api_test.c:151)
==30659== by 0x401E03: main (test_gnunet_service_fs_migration.c:185)
==30659== Address 0xdf0adba0df0adf2 is not stack'd, malloc'd or (recently) free'd
==30659==
==30659==
==30659== Process terminating with default action of signal 11 (SIGSEGV): dumping core
==30659== General Protection Fault
==30659== at 0x4E41810: GNUNET_TESTBED_host_get_id_ (testbed_api_hosts.c:222)
==30659== by 0x4E41515: GNUNET_TESTBED_get_next_op_id (testbed_api.c:2060)
==30659== by 0x4E4CD02: GNUNET_TESTBED_peer_stop (testbed_api_peers.c:664)
==30659== by 0x4019E8: stop_source_peer (test_gnunet_service_fs_migration.c:134)
==30659== by 0x52F2757: run_ready (scheduler.c:587)
==30659== by 0x52F3062: GNUNET_SCHEDULER_run (scheduler.c:867)
==30659== by 0x52EE1F9: GNUNET_PROGRAM_run2 (program.c:286)
==30659== by 0x52EE350: GNUNET_PROGRAM_run (program.c:325)
==30659== by 0x4E5351C: GNUNET_TESTBED_test_run (testbed_api_test.c:151)
==30659== by 0x401E03: main (test_gnunet_service_fs_migration.c:185)
==30659==
TagsNo tags attached.

Activities

Sree Harsha Totakura

2015-08-04 17:29

developer   ~0009536

The testcase does not respect the testbed API --- it tries to shutdown some peers upon shutdown. Should be fixed by SVN 36208.

Christian Grothoff

2015-08-04 17:30

manager   ~0009537

Thanks for fixing!

Issue History

Date Modified Username Field Change
2015-03-23 15:20 Christian Grothoff New Issue
2015-03-23 15:20 Christian Grothoff Status new => assigned
2015-03-23 15:20 Christian Grothoff Assigned To => Sree Harsha Totakura
2015-08-04 17:29 Sree Harsha Totakura Note Added: 0009536
2015-08-04 17:29 Sree Harsha Totakura Status assigned => resolved
2015-08-04 17:29 Sree Harsha Totakura Fixed in Version => SVN HEAD
2015-08-04 17:29 Sree Harsha Totakura Resolution open => fixed
2015-08-04 17:30 Christian Grothoff Note Added: 0009537
2015-08-04 17:30 Christian Grothoff Fixed in Version SVN HEAD => 0.11.0pre66
2015-08-04 17:30 Christian Grothoff Target Version => 0.11.0pre66
2018-06-07 00:25 Christian Grothoff Status resolved => closed